### Constructor

# Gtk.Video.new_for_media_stream

#### Declaration [src]

    GtkWidget*
    gtk_video_new_for_media_stream (
      GtkMediaStream* stream
    )

#### Description [src]

Creates a `GtkVideo` to play back the given `stream`.

#### Parameters

`stream` | `GtkMediaStream`
| a `GtkMediaStream`
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkWidget`
a new `GtkVideo`
Ownership is not transferred to the caller